// Variables para setear
onload=function() 
{
	cAyuda=document.getElementById("mensajesAyuda"); 			//ya
	cNombre=document.getElementById("ayudaTitulo"); 			//ya
	cTex=document.getElementById("ayudaTexto"); 				//ya
	divTransparente=document.getElementById("transparencia"); 	//ya
	divMensaje=document.getElementById("transparenciaMensaje"); //ya
	form=document.getElementById("forma"); 						//ya
	urlDestino="cambios.php";
	
	claseNormal="input";
//	claseNormal="Normal";
	claseError="inputError";
	claseDia="Dia";	
	claseRadio="radio";		
	claseTest="test";	
	
	ayuda=new Array();
	ayuda["abiblioteca"]="Este campo sera la sumatoria de los tres campos de abajo.";
	ayuda["aestanteria"]="Metros cuadrados que ocupa la estanteria. OBLIGATORIO";	
	ayuda["apersonal"]="Metros cuadrados que ocupa el area de personal. OBLIGATORIO";	
	ayuda["alectura"]="Metros cuadrados que ocupa el area de lectura. OBLIGATORIO";
	ayuda["aasientos"]="Ingresa un teléfono de contacto.";
	ayuda["alunes"]="Ingresa un e-mail válido. OBLIGATORIO";
	ayuda["asabado"]="fghdfgh";
	ayuda["adomingo"]="dfghdfghdfgh";
	ayuda["adias"]="tghfdghdfghdfghdfgh";
	ayuda["aclasificacion"]="fdghdfhdfghdfghdfghdfgh";
	ayuda["aespecifique"]="cvnbcvncvbncvncvn";
	ayuda["acatalogo"]="54twe45tw45tw45tw45t";
	ayuda["atestante"]="rdthdfgncncbnghn";
	ayuda["ametros"]="w45gw54gw45g";	
	ayuda["ausuarios"]="bdt brgw4";	
	ayuda["ainscritor"]="35t w45t w45y ";		
	
	
	preCarga("ok.gif", "loading.gif", "error.gif");
}

function preCarga() 
	{
	imagenes=new Array();
	for(i=0; i<arguments.length; i++){
		imagenes[i]=document.createElement("img");
		imagenes[i].src=arguments[i];
		}
	}

function nuevoAjax()
{ 
	var xmlhttp=false; 
	try 
	{ 
		// No IE
		xmlhttp=new ActiveXObject("Msxml2.XMLHTTP"); 
	}
	catch(e)
	{ 
		try
		{ 
			// IE 
			xmlhttp=new ActiveXObject("Microsoft.XMLHTTP"); 
		} 
		catch(E) { xmlhttp=false; }
	}
	if (!xmlhttp && typeof XMLHttpRequest!="undefined") { xmlhttp=new XMLHttpRequest(); } 
	return xmlhttp; 
}

function limpiaForm()
	{
	for(i=3; i<=50; i++){
		if (form.elements[i].className!='Radio')	form.elements[i].className=claseTest;
		}
	//document.getElementById("inputComentario").className=claseNormal;
	}

function campoError(campo)
{
//	campo.className=claseNormal;
//	alert(campo.type);	 // Aqui le seguimos poniendo
//	alert(campo.className);	 // Aqui le seguimos poniendo	
//	if (campo.type='text'){
		campo.className=claseError; 


//		campo.className=claseError; //<<<--Original
		error=1;
	//	}
}

function ocultaMensaje()
{
	divTransparente.style.display="none";
}

function muestraMensaje(mensaje)
{
	divMensaje.innerHTML=mensaje;
	divTransparente.style.display="block";
//	divTransparente.style.display
}

function eliminaEspacios(cadena)
{
	// Funcion para eliminar espacios delante y detras de cada cadena
	while(cadena.charAt(cadena.length-1)==" ") cadena=cadena.substr(0, cadena.length-1);
	while(cadena.charAt(0)==" ") cadena=cadena.substr(1, cadena.length-1);
	return cadena;
}

function validaLongitud(valor, permiteVacio, minimo, maximo)
{
	var cantCar=valor.length;
	if(valor=="")
	{
		if(permiteVacio) return true;
		else return false;
	}
	else
	{
		if(cantCar>=minimo && cantCar<=maximo) return true;
		else return false;
	}
}

function validaValor(valor, minimo, maximo)
{
//	var valorCar=valor.value;
	//{
	if(valor>=minimo && valor<=maximo) return true;
	else return false;
//	}
}

/*function validaCorreo(valor)
{
	var reg=/(^[a-zA-Z0-9._-]{1,30})@([a-zA-Z0-9.-]{1,30}$)/;
	if(reg.test(valor)) return true;
	else return false;
}*/

function validaForm()
{
	limpiaForm();
	error=0;
	var biblioteca=0;
	var estanteria=0;
	var personal=0;
	var id=0;
	var lectura=0;
	var asientos=0;
	var especifique=0;
	var lunes1=0;
	var lunes2=0;
	var lunes3=0;
	var lunes4=0;
	var lunes5=0;
	var lunes6=0;
	var lunes=0;
	var sabado1=0;
	var sabado2=0;
	var sabado=0;
	var sabado3=0;
	var sabado4=0;
	var sabado5=0;
	var sabado6=0;
	var domingo1=0;
	var domingo2=0;
	var domingo=0;
	var domingo3=0;
	var domingo4=0;
	var domingo5=0;
	var domingo6=0;
	var dias=0;
	var estantes=0;
	var metros=0;
	var usuarios=0;	
	var inscritos=0;
	var espe2=0;
	
	
	biblioteca=eliminaEspacios(form.biblioteca.value);
	estanteria=eliminaEspacios(form.estanteria.value);
	personal=eliminaEspacios(form.personal.value);
	id=(form.id.value);
//	var vari=(form.vari.value);
	lectura=eliminaEspacios(form.lectura.value);
	asientos=eliminaEspacios(form.asientos.value);
	especifique=eliminaEspacios(form.especifique.value);	
	

	lunes1=eliminaEspacios(form.lunes1.value);
	lunes2=eliminaEspacios(form.lunes2.value);
	lunes3=eliminaEspacios(form.lunes3.value);
	lunes4=eliminaEspacios(form.lunes4.value);
	lunes5=eliminaEspacios(form.lunes5.value);
	lunes6=eliminaEspacios(form.lunes6.value);
	lunes=0;
	sabado1=eliminaEspacios(form.sabado1.value);
	sabado2=eliminaEspacios(form.sabado2.value);
	sabado=0;	
	sabado3=eliminaEspacios(form.sabado3.value);
	sabado4=eliminaEspacios(form.sabado4.value);
	sabado5=eliminaEspacios(form.sabado5.value);
	sabado6=eliminaEspacios(form.sabado6.value);
	domingo1=eliminaEspacios(form.domingo1.value);
	domingo2=eliminaEspacios(form.domingo2.value);
	domingo=0;
	domingo3=eliminaEspacios(form.domingo3.value);
	domingo4=eliminaEspacios(form.domingo4.value);
	domingo5=eliminaEspacios(form.domingo5.value);
	domingo6=eliminaEspacios(form.domingo6.value);	
	
	espe2=eliminaEspacios(form.espe2.value);	

	if(form.lunes[1].checked){
		lunes=1;
		lunes1=parseInt(lunes1);
		lunes2=parseInt(lunes2);	
		if(!validaValor(lunes1, 7, 23)) campoError(form.lunes1);
		if(!validaValor(lunes2, 8, 24)) campoError(form.lunes2);		
		if(lunes1>=lunes2) campoError(form.lunes2);
		}
	if(form.lunes[2].checked){
		lunes=2
		lunes3=parseInt(lunes3);
		lunes4=parseInt(lunes4);
		lunes5=parseInt(lunes5);
		lunes6=parseInt(lunes6);		
		if(!validaValor(lunes3, 7, 20)) campoError(form.lunes3);
		if(!validaValor(lunes4, 8, 21)) campoError(form.lunes4);
		if(!validaValor(lunes5, 10, 23)) campoError(form.lunes5);
		if(!validaValor(lunes6, 11, 24)) campoError(form.lunes6);		
		if(lunes3>=lunes4)campoError(form.lunes4);
		if(lunes4>=lunes5)campoError(form.lunes5);	
		if(lunes5>=lunes6)campoError(form.lunes6);
		}		
	

	if(form.sabado[1].checked){
		sabado=1;
		alert(sabado);
		sabado1=parseInt(sabado1);
		sabado2=parseInt(sabado2);	
		if(!validaValor(sabado1, 7, 23)) campoError(form.sabado1);
		if(!validaValor(sabado2, 8, 24)) campoError(form.sabado2);		
		if(sabado1>=sabado2) campoError(form.sabado2)
		}

	if(form.sabado[2].checked){	
		sabado=2;
		sabado3=parseInt(sabado3);
		sabado4=parseInt(sabado4);
		sabado5=parseInt(sabado5);
		sabado6=parseInt(sabado6);		
		if(!validaValor(sabado3, 7, 20)) campoError(form.sabado3);
		if(!validaValor(sabado4, 8, 21)) campoError(form.sabado4);
		if(!validaValor(sabado5, 10, 23)) campoError(form.sabado5);
		if(!validaValor(sabado6, 11, 24)) campoError(form.sabado6);		
		if(sabado3>=sabado4)campoError(form.sabado4);
		if(sabado4>=sabado5)campoError(form.sabado5);	
		if(sabado5>=sabado6)campoError(form.sabado6);		
		}
		
	if(form.domingo[1].checked){
		domingo=1;
		domingo1=parseInt(domingo1);
		domingo2=parseInt(domingo2);	
		if(!validaValor(domingo1, 7, 23)) campoError(form.domingo1);
		if(!validaValor(domingo2, 8, 24)) campoError(form.domingo2);		
		if(domingo1>=domingo2) campoError(form.domingo2)
		}
	if(form.domingo[2].checked){		
		domingo=2;
		domingo3=parseInt(domingo3);
		domingo4=parseInt(domingo4);
		domingo5=parseInt(domingo5);
		domingo6=parseInt(domingo6);		
		if(!validaValor(domingo3, 7, 20)) campoError(form.domingo3);
		if(!validaValor(domingo4, 8, 21)) campoError(form.domingo4);
		if(!validaValor(domingo5, 10, 23)) campoError(form.domingo5);
		if(!validaValor(domingo6, 11, 24)) campoError(form.domingo6);		
		if(domingo3>=domingo4)campoError(form.domingo4);
		if(domingo4>=domingo5)campoError(form.domingo5);	
		if(domingo5>=domingo6)campoError(form.domingo6);		
		}

/*	if(form.lunes[1].checked)	var lunes=1;
	if(form.lunes[2].checked)	var lunes=2;
	if(form.sabado[1].checked)	var sabado=1;
	if(form.sabado[2].checked)	var sabado=2;	
	if(form.domingo[1].checked)	var domingo=1;	
	if(form.sabado[2].checked)	var domingo=2;	*/
	

	if(form.lunes[0].checked && form.sabado[0].checked && form.domingo[0].checked){
		campoError(form.lunes1);
		}
	
	if(form.clasificacion[0].checked)	var clasificacion=0;
	if(form.clasificacion[1].checked)	var clasificacion=1;
	if(form.clasificacion[2].checked){
		var clasificacion=2;
		if(!validaLongitud(especifique, 0, 4, 15)) campoError(form.especifique);	
		}
	if(form.clasificacion[3].checked)	var clasificacion=3;	

	if(form.catalogo[0].checked)	var catalogo=0;
	if(form.catalogo[1].checked)	var catalogo=1;
	if(form.catalogo[2].checked)	var catalogo=2;
	
	if(form.testante[0].checked)	var testante=0;
	if(form.testante[1].checked)	var testante=1;
	if(form.testante[2].checked)	var testante=2;	
	
	

	dias=eliminaEspacios(form.dias.value);
	especifique=eliminaEspacios(form.especifique.value);
	estantes=eliminaEspacios(form.estantes.value);
	metros=eliminaEspacios(form.metros.value);
	usuarios=eliminaEspacios(form.usuarios.value);	
	inscritos=eliminaEspacios(form.inscritos.value);	

	
	if (estanteria==0 && personal==0 && lectura==0) campoError(form.biblioteca);
	if(!validaLongitud(asientos, 0, 1, 4)) campoError(form.asientos);
	if(!validaLongitud(dias, 0, 1, 3)) campoError(form.dias);
	if(!validaLongitud(estantes, 0, 1, 4)) campoError(form.estantes);
	if(!validaLongitud(metros, 0, 1, 5)) campoError(form.metros);
	if(!validaLongitud(usuarios, 0, 1, 7)) campoError(form.usuarios);

	if(!validaValor(asientos, 1, 9999)) campoError(form.asientos);
	if(!validaValor(dias, 1, 365)) campoError(form.dias);	
	if(!validaValor(estantes, 1, 9999)) campoError(form.estantes);
	if(!validaValor(metros, 1, 99999)) campoError(form.metros);
	if(!validaValor(usuarios, 1, 9999999)) campoError(form.usuarios);
	
	
	
	
	

	if(error==1)
	{
		var texto="<img src='error.gif' alt='Error'><br><br>Error: revise los campos en rojo.<br><br><button style='width:45px; height:18px; font-size:10px;' onClick='ocultaMensaje()' type='button'>Ok</button>";
		muestraMensaje(texto);
	}
	else
	{
/*		var texto="<img src='loading.gif' alt='Enviando'><br>Enviando. Por favor espere.<br><br><button style='width:60px; height:18px; font-size:10px;' onClick='ocultaMensaje()' type='button'>Ocultar</button>";*/
		var texto="<img src='loading.gif' alt='Enviando'><br>Enviando. Por favor espere.<br><br>";		
		muestraMensaje(texto);
		
		var ajax=nuevoAjax();
		ajax.open("POST", urlDestino, true);
		ajax.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");
//		ajax.send("nombre="+nombre+"&empresa="+empresa+"&telefono="+telefono+"&correo="+correo+"&comentarios="+comentarios);


		ajax.send("&biblioteca="+biblioteca+"&estanteria="+estanteria+"&personal="+personal+"&lectura="+lectura+"&asientos="+asientos+"&lunes="+lunes+"&lunes1="+lunes1+"&lunes2="+lunes2+"&lunes3="+lunes3+"&lunes4="+lunes4+"&lunes5="+lunes5+"&lunes6="+lunes6+"&sabado="+sabado+"&sabado1="+sabado1+"&sabado2="+sabado2+"&sabado3="+sabado3+"&sabado4="+sabado4+"&sabado5="+sabado5+"&sabado6="+sabado6+"&domingo="+domingo+"&domingo1="+domingo1+"&domingo2="+domingo2+"&domingo3="+domingo3+"&domingo4="+domingo4+"&domingo5="+domingo5+"&domingo6="+domingo6+"&dias="+dias+"&clasificacion="+clasificacion+"&especifique="+especifique+"&catalogo="+catalogo+"&testante="+testante+"&estantes="+estantes+"&metros="+metros+"&usuarios="+usuarios+"&inscritos="+inscritos+"&espe2="+espe2+"&id="+id);

//ajax.send("estanteria="+estanteria+"&vari="+vari);
//		ajax.send("estanteria="+estanteria);		
		
		ajax.onreadystatechange=function()
		{
		if (ajax.readyState==4)
			{
				var respuesta=ajax.responseText;
				if(respuesta==1)
				{
					var texto="&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<img src='ok.gif' alt='Ok'><br>La información ha sido guardada.<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<button style='width:45px; height:18px; font-size:10px;' onClick='ocultaMensaje()' type='button'>Ok</button>";
				}
				else var texto="<img src='error.gif'><br><br>Error: intente más tarde.<br><br><button style='width:45px; height:18px; font-size:10px;' onClick='ocultaMensaje()' type='button'>Ok</button>";
				
				muestraMensaje(texto);
//				muestraMensaje(respuesta);				
				
//				if(respuesta=="Error") muestraMensaje(respuesta);
//				muestraMensaje(respuesta);
			}
		}
	}
}

// Mensajes de ayuda

if(navigator.userAgent.indexOf("MSIE")>=0) navegador=0;
else navegador=1;

function colocaAyuda(event)
{
	if(navegador==0)
	{
		var corX=window.event.clientX+document.documentElement.scrollLeft;
		var corY=window.event.clientY+document.documentElement.scrollTop;
	}
	else
	{
		var corX=event.clientX+window.scrollX;
		var corY=event.clientY+window.scrollY;
	}
	cAyuda.style.top=corY+20+"px";
	cAyuda.style.left=corX+15+"px";
}

function ocultaAyuda()
{
	cAyuda.style.display="none";
	if(navegador==0) 
	{
		document.detachEvent("onmousemove", colocaAyuda);
		document.detachEvent("onmouseout", ocultaAyuda);
	}
	else 
	{
		document.removeEventListener("mousemove", colocaAyuda, true);
		document.removeEventListener("mouseout", ocultaAyuda, true);
	}
}

function muestraAyuda(event, campo)
{
	colocaAyuda(event);
	
	if(navegador==0) 
	{ 
		document.attachEvent("onmousemove", colocaAyuda); 
		document.attachEvent("onmouseout", ocultaAyuda); 
	}
	else 
	{
		document.addEventListener("mousemove", colocaAyuda, true);
		document.addEventListener("mouseout", ocultaAyuda, true);
	}
	
	cNombre.innerHTML=campo;
	cTex.innerHTML=ayuda[campo];
	cAyuda.style.display="block";
}